---
apiVersion: v1
kind: Namespace
metadata:
  name: openshift-netobserv-operator
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: netobserv-operator-installer
  namespace: openshift-netobserv-operator
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: netobserv-operator-installer-binding
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: cluster-admin
subjects:
- kind: ServiceAccount
  name: netobserv-operator-installer
  namespace: openshift-netobserv-operator
---
apiVersion: olm.operatorframework.io/v1
kind: ClusterExtension
metadata:
  name: netobserv-operator
spec:
  namespace: openshift-netobserv-operator
  serviceAccount:
    name: netobserv-operator-installer
  source:
    sourceType: Catalog
    catalog:
      packageName: netobserv-operator
      version: "1.11.0"
      selector:
        matchLabels:
          olm.operatorframework.io/metadata.name: netobserv-konflux-fbc
